static PyObject* DictIds = NULL;
static void _init_dict_ids(void)
{
  DictIds = PyDict_New();

  PyDict_SetItemString(DictIds, "symchi", Py_BuildValue("ii", AB_DTSET_SYMCHI, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "parareel", Py_BuildValue("ii", AB_DTSET_PARAREEL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "slabwsrad", Py_BuildValue("ii", AB_DTSET_SLABWSRAD, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rfstrs", Py_BuildValue("ii", AB_DTSET_RFSTRS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "isecur", Py_BuildValue("ii", AB_DTSET_ISECUR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "exchn2n3d", Py_BuildValue("ii", AB_DTSET_EXCHN2N3D, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nstep", Py_BuildValue("ii", AB_DTSET_NSTEP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "algalch", Py_BuildValue("ii", AB_DTSET_ALGALCH, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "gwgamma", Py_BuildValue("ii", AB_DTSET_GWGAMMA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nsheps", Py_BuildValue("ii", AB_DTSET_NSHEPS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "tolmxf", Py_BuildValue("ii", AB_DTSET_TOLMXF, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rtheta", Py_BuildValue("ii", AB_DTSET_RTHETA, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "norb", Py_BuildValue("ii", AB_DTSET_NORB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "charge", Py_BuildValue("ii", AB_DTSET_CHARGE, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prt1dm", Py_BuildValue("ii", AB_DTSET_PRT1DM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prepanl", Py_BuildValue("ii", AB_DTSET_PREPANL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "td_maxene", Py_BuildValue("ii", AB_DTSET_TD_MAXENE, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ndtset", Py_BuildValue("ii", AB_DTSET_NDTSET, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "usepawu", Py_BuildValue("ii", AB_DTSET_USEPAWU, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mpw", Py_BuildValue("ii", AB_DTSET_MPW, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "occopt", Py_BuildValue("ii", AB_DTSET_OCCOPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "boxcenter", Py_BuildValue("ii", AB_DTSET_BOXCENTER, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "bxctmindg", Py_BuildValue("ii", AB_DTSET_BXCTMINDG, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "qptdm", Py_BuildValue("ii", AB_DTSET_QPTDM, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "td_mexcit", Py_BuildValue("ii", AB_DTSET_TD_MEXCIT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "frzfermi", Py_BuildValue("ii", AB_DTSET_FRZFERMI, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rfphon", Py_BuildValue("ii", AB_DTSET_RFPHON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtden", Py_BuildValue("ii", AB_DTSET_PRTDEN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rfmgfd", Py_BuildValue("ii", AB_DTSET_RFMGFD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "gwpara", Py_BuildValue("ii", AB_DTSET_GWPARA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "recptrott", Py_BuildValue("ii", AB_DTSET_RECPTROTT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "jdtset", Py_BuildValue("ii", AB_DTSET_JDTSET, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawprtden", Py_BuildValue("ii", AB_DTSET_PAWPRTDEN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "wvl_nprccg", Py_BuildValue("ii", AB_DTSET_WVL_NPRCCG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "kptrlatt", Py_BuildValue("ii", AB_DTSET_KPTRLATT, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "gwmem", Py_BuildValue("ii", AB_DTSET_GWMEM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nloalg", Py_BuildValue("ii", AB_DTSET_NLOALG, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "npkpt", Py_BuildValue("ii", AB_DTSET_NPKPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "xred_orig", Py_BuildValue("ii", AB_DTSET_XRED_ORIG, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "kptns", Py_BuildValue("ii", AB_DTSET_KPTNS, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "nberry", Py_BuildValue("ii", AB_DTSET_NBERRY, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "exchmix", Py_BuildValue("ii", AB_DTSET_EXCHMIX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "usewvl", Py_BuildValue("ii", AB_DTSET_USEWVL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "useexexch", Py_BuildValue("ii", AB_DTSET_USEEXEXCH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "omegasrdmax", Py_BuildValue("ii", AB_DTSET_OMEGASRDMAX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "tfkinfunc", Py_BuildValue("ii", AB_DTSET_TFKINFUNC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ptcharge", Py_BuildValue("ii", AB_DTSET_PTCHARGE, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "kptnrm", Py_BuildValue("ii", AB_DTSET_KPTNRM, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "slabzbeg", Py_BuildValue("ii", AB_DTSET_SLABZBEG, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ionmov", Py_BuildValue("ii", AB_DTSET_IONMOV, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "vis", Py_BuildValue("ii", AB_DTSET_VIS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "userre", Py_BuildValue("ii", AB_DTSET_USERRE, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "npwwfn", Py_BuildValue("ii", AB_DTSET_NPWWFN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mffmem", Py_BuildValue("ii", AB_DTSET_MFFMEM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mk1mem", Py_BuildValue("ii", AB_DTSET_MK1MEM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "dedlnn", Py_BuildValue("ii", AB_DTSET_DEDLNN, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "mdftemp", Py_BuildValue("ii", AB_DTSET_MDFTEMP, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "nfreqsus", Py_BuildValue("ii", AB_DTSET_NFREQSUS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtkpt", Py_BuildValue("ii", AB_DTSET_PRTKPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtcs", Py_BuildValue("ii", AB_DTSET_PRTCS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "npfft", Py_BuildValue("ii", AB_DTSET_NPFFT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "qmass", Py_BuildValue("ii", AB_DTSET_QMASS, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "ecutsigx", Py_BuildValue("ii", AB_DTSET_ECUTSIGX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "dsifkpt", Py_BuildValue("ii", AB_DTSET_DSIFKPT, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "wvl", Py_BuildValue("ii", AB_DTSET_WVL, _OTHER));
  PyDict_SetItemString(DictIds, "ndyson", Py_BuildValue("ii", AB_DTSET_NDYSON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "wvl_hgrid", Py_BuildValue("ii", AB_DTSET_WVL_HGRID, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ngroup_rf", Py_BuildValue("ii", AB_DTSET_NGROUP_RF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "lofwrite", Py_BuildValue("ii", AB_DTSET_LOFWRITE, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "spmeth", Py_BuildValue("ii", AB_DTSET_SPMETH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mkmem", Py_BuildValue("ii", AB_DTSET_MKMEM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "qprtrb", Py_BuildValue("ii", AB_DTSET_QPRTRB, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "getden", Py_BuildValue("ii", AB_DTSET_GETDEN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "recefermi", Py_BuildValue("ii", AB_DTSET_RECEFERMI, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prtgeo", Py_BuildValue("ii", AB_DTSET_PRTGEO, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtfc", Py_BuildValue("ii", AB_DTSET_PRTFC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "vacwidth", Py_BuildValue("ii", AB_DTSET_VACWIDTH, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "mixalch", Py_BuildValue("ii", AB_DTSET_MIXALCH, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "usedmatpu", Py_BuildValue("ii", AB_DTSET_USEDMATPU, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nspinor", Py_BuildValue("ii", AB_DTSET_NSPINOR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "paral_kgb", Py_BuildValue("ii", AB_DTSET_PARAL_KGB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "qptnrm", Py_BuildValue("ii", AB_DTSET_QPTNRM, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "irdden", Py_BuildValue("ii", AB_DTSET_IRDDEN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "getxred", Py_BuildValue("ii", AB_DTSET_GETXRED, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "bmass", Py_BuildValue("ii", AB_DTSET_BMASS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "w90prtunk", Py_BuildValue("ii", AB_DTSET_W90PRTUNK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ratsph", Py_BuildValue("ii", AB_DTSET_RATSPH, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "intexact", Py_BuildValue("ii", AB_DTSET_INTEXACT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "get1wf", Py_BuildValue("ii", AB_DTSET_GET1WF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "useylm", Py_BuildValue("ii", AB_DTSET_USEYLM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ceksph", Py_BuildValue("ii", AB_DTSET_CEKSPH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "freqsuslo", Py_BuildValue("ii", AB_DTSET_FREQSUSLO, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "getcell", Py_BuildValue("ii", AB_DTSET_GETCELL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rectolden", Py_BuildValue("ii", AB_DTSET_RECTOLDEN, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "kssform", Py_BuildValue("ii", AB_DTSET_KSSFORM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "userrd", Py_BuildValue("ii", AB_DTSET_USERRD, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "userra", Py_BuildValue("ii", AB_DTSET_USERRA, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "userrc", Py_BuildValue("ii", AB_DTSET_USERRC, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "userrb", Py_BuildValue("ii", AB_DTSET_USERRB, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "wfoptalg", Py_BuildValue("ii", AB_DTSET_WFOPTALG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "vcutgeo", Py_BuildValue("ii", AB_DTSET_VCUTGEO, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "rf1elfd", Py_BuildValue("ii", AB_DTSET_RF1ELFD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "tnons", Py_BuildValue("ii", AB_DTSET_TNONS, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "irdwfk", Py_BuildValue("ii", AB_DTSET_IRDWFK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawlcutd", Py_BuildValue("ii", AB_DTSET_PAWLCUTD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nband", Py_BuildValue("ii", AB_DTSET_NBAND, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "prteig", Py_BuildValue("ii", AB_DTSET_PRTEIG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "wvl_crmult", Py_BuildValue("ii", AB_DTSET_WVL_CRMULT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "enunit", Py_BuildValue("ii", AB_DTSET_ENUNIT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "irdwfq", Py_BuildValue("ii", AB_DTSET_IRDWFQ, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawstgylm", Py_BuildValue("ii", AB_DTSET_PAWSTGYLM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "iprcel", Py_BuildValue("ii", AB_DTSET_IPRCEL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "iatfix", Py_BuildValue("ii", AB_DTSET_IATFIX, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "ldgapp", Py_BuildValue("ii", AB_DTSET_LDGAPP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "restartxf", Py_BuildValue("ii", AB_DTSET_RESTARTXF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "irdddk", Py_BuildValue("ii", AB_DTSET_IRDDDK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "spgroup", Py_BuildValue("ii", AB_DTSET_SPGROUP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "npwsigx", Py_BuildValue("ii", AB_DTSET_NPWSIGX, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nomegasi", Py_BuildValue("ii", AB_DTSET_NOMEGASI, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nomegasf", Py_BuildValue("ii", AB_DTSET_NOMEGASF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "iatsph", Py_BuildValue("ii", AB_DTSET_IATSPH, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "nline", Py_BuildValue("ii", AB_DTSET_NLINE, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ncenter", Py_BuildValue("ii", AB_DTSET_NCENTER, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "kpt", Py_BuildValue("ii", AB_DTSET_KPT, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "bdberry", Py_BuildValue("ii", AB_DTSET_BDBERRY, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "rfmeth", Py_BuildValue("ii", AB_DTSET_RFMETH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "useria", Py_BuildValue("ii", AB_DTSET_USERIA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "userib", Py_BuildValue("ii", AB_DTSET_USERIB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "useric", Py_BuildValue("ii", AB_DTSET_USERIC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "userid", Py_BuildValue("ii", AB_DTSET_USERID, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "userie", Py_BuildValue("ii", AB_DTSET_USERIE, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "symafm", Py_BuildValue("ii", AB_DTSET_SYMAFM, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "ntypalch", Py_BuildValue("ii", AB_DTSET_NTYPALCH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "localrdwf", Py_BuildValue("ii", AB_DTSET_LOCALRDWF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtdosm", Py_BuildValue("ii", AB_DTSET_PRTDOSM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "diemix", Py_BuildValue("ii", AB_DTSET_DIEMIX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "densty", Py_BuildValue("ii", AB_DTSET_DENSTY, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "gwencomp", Py_BuildValue("ii", AB_DTSET_GWENCOMP, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rectesteg", Py_BuildValue("ii", AB_DTSET_RECTESTEG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ntypat", Py_BuildValue("ii", AB_DTSET_NTYPAT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "icoulomb", Py_BuildValue("ii", AB_DTSET_ICOULOMB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "corecs", Py_BuildValue("ii", AB_DTSET_CORECS, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "ikhxc", Py_BuildValue("ii", AB_DTSET_IKHXC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "outputxml", Py_BuildValue("ii", AB_DTSET_OUTPUTXML, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "typat", Py_BuildValue("ii", AB_DTSET_TYPAT, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "ecutsm", Py_BuildValue("ii", AB_DTSET_ECUTSM, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "freqremax", Py_BuildValue("ii", AB_DTSET_FREQREMAX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "nbdbuf", Py_BuildValue("ii", AB_DTSET_NBDBUF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "natpawu", Py_BuildValue("ii", AB_DTSET_NATPAWU, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "w90lplot", Py_BuildValue("ii", AB_DTSET_W90LPLOT, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "dielam", Py_BuildValue("ii", AB_DTSET_DIELAM, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rf1phon", Py_BuildValue("ii", AB_DTSET_RF1PHON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "iscf", Py_BuildValue("ii", AB_DTSET_ISCF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ixc", Py_BuildValue("ii", AB_DTSET_IXC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "delayperm", Py_BuildValue("ii", AB_DTSET_DELAYPERM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nscforder", Py_BuildValue("ii", AB_DTSET_NSCFORDER, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawovlp", Py_BuildValue("ii", AB_DTSET_PAWOVLP, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "atvshift", Py_BuildValue("ii", AB_DTSET_ATVSHIFT, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "prtpmp", Py_BuildValue("ii", AB_DTSET_PRTPMP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "cpus", Py_BuildValue("ii", AB_DTSET_CPUS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ecuteps", Py_BuildValue("ii", AB_DTSET_ECUTEPS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rf3elfd", Py_BuildValue("ii", AB_DTSET_RF3ELFD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "suskxcrs", Py_BuildValue("ii", AB_DTSET_SUSKXCRS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "iprcfc", Py_BuildValue("ii", AB_DTSET_IPRCFC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "splitsigc", Py_BuildValue("ii", AB_DTSET_SPLITSIGC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "numorb", Py_BuildValue("ii", AB_DTSET_NUMORB, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "genafm", Py_BuildValue("ii", AB_DTSET_GENAFM, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "nsym", Py_BuildValue("ii", AB_DTSET_NSYM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rf3atpol", Py_BuildValue("ii", AB_DTSET_RF3ATPOL, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "prepgkk", Py_BuildValue("ii", AB_DTSET_PREPGKK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rprimd_orig", Py_BuildValue("ii", AB_DTSET_RPRIMD_ORIG, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "prtvxc", Py_BuildValue("ii", AB_DTSET_PRTVXC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nfftdg", Py_BuildValue("ii", AB_DTSET_NFFTDG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "paral_rf", Py_BuildValue("ii", AB_DTSET_PARAL_RF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "occ_orig", Py_BuildValue("ii", AB_DTSET_OCC_ORIG, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "irdscr", Py_BuildValue("ii", AB_DTSET_IRDSCR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "usepaw", Py_BuildValue("ii", AB_DTSET_USEPAW, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rcut", Py_BuildValue("ii", AB_DTSET_RCUT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "diemixmag", Py_BuildValue("ii", AB_DTSET_DIEMIXMAG, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "qpt", Py_BuildValue("ii", AB_DTSET_QPT, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "rfuser", Py_BuildValue("ii", AB_DTSET_RFUSER, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "w90nplot", Py_BuildValue("ii", AB_DTSET_W90NPLOT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "dmatpawu", Py_BuildValue("ii", AB_DTSET_DMATPAWU, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "npara", Py_BuildValue("ii", AB_DTSET_NPARA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtfsurf", Py_BuildValue("ii", AB_DTSET_PRTFSURF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "npband", Py_BuildValue("ii", AB_DTSET_NPBAND, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nfft", Py_BuildValue("ii", AB_DTSET_NFFT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rfasr", Py_BuildValue("ii", AB_DTSET_RFASR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "alpha", Py_BuildValue("ii", AB_DTSET_ALPHA, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "fftgw", Py_BuildValue("ii", AB_DTSET_FFTGW, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rfelfd", Py_BuildValue("ii", AB_DTSET_RFELFD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtvhxc", Py_BuildValue("ii", AB_DTSET_PRTVHXC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mgfft", Py_BuildValue("ii", AB_DTSET_MGFFT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "dmatudiag", Py_BuildValue("ii", AB_DTSET_DMATUDIAG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nbandsus", Py_BuildValue("ii", AB_DTSET_NBANDSUS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "recgratio", Py_BuildValue("ii", AB_DTSET_RECGRATIO, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "iprctfvw", Py_BuildValue("ii", AB_DTSET_IPRCTFVW, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "dielng", Py_BuildValue("ii", AB_DTSET_DIELNG, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "nshwfn", Py_BuildValue("ii", AB_DTSET_NSHWFN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mdwall", Py_BuildValue("ii", AB_DTSET_MDWALL, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rf1dir", Py_BuildValue("ii", AB_DTSET_RF1DIR, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "sciss", Py_BuildValue("ii", AB_DTSET_SCISS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "pawspnorb", Py_BuildValue("ii", AB_DTSET_PAWSPNORB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rfatpol", Py_BuildValue("ii", AB_DTSET_RFATPOL, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "npwkss", Py_BuildValue("ii", AB_DTSET_NPWKSS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "friction", Py_BuildValue("ii", AB_DTSET_FRICTION, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prtcml", Py_BuildValue("ii", AB_DTSET_PRTCML, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "gwcalctyp", Py_BuildValue("ii", AB_DTSET_GWCALCTYP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "irdsuscep", Py_BuildValue("ii", AB_DTSET_IRDSUSCEP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "chkprim", Py_BuildValue("ii", AB_DTSET_CHKPRIM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rf1atpol", Py_BuildValue("ii", AB_DTSET_RF1ATPOL, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "dosdeltae", Py_BuildValue("ii", AB_DTSET_DOSDELTAE, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prtefg", Py_BuildValue("ii", AB_DTSET_PRTEFG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "kptrlen", Py_BuildValue("ii", AB_DTSET_KPTRLEN, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "kptgw", Py_BuildValue("ii", AB_DTSET_KPTGW, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "zcut", Py_BuildValue("ii", AB_DTSET_ZCUT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "getvel", Py_BuildValue("ii", AB_DTSET_GETVEL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "bdgw", Py_BuildValue("ii", AB_DTSET_BDGW, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "pawxcdev", Py_BuildValue("ii", AB_DTSET_PAWXCDEV, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mditemp", Py_BuildValue("ii", AB_DTSET_MDITEMP, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prtwf", Py_BuildValue("ii", AB_DTSET_PRTWF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "wtatcon", Py_BuildValue("ii", AB_DTSET_WTATCON, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "nbdblock", Py_BuildValue("ii", AB_DTSET_NBDBLOCK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "gwcomp", Py_BuildValue("ii", AB_DTSET_GWCOMP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mqgriddg", Py_BuildValue("ii", AB_DTSET_MQGRIDDG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "inclvkb", Py_BuildValue("ii", AB_DTSET_INCLVKB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "tfnewton", Py_BuildValue("ii", AB_DTSET_TFNEWTON, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "efield", Py_BuildValue("ii", AB_DTSET_EFIELD, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "tl_nprccg", Py_BuildValue("ii", AB_DTSET_TL_NPRCCG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "strfact", Py_BuildValue("ii", AB_DTSET_STRFACT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ngeohist", Py_BuildValue("ii", AB_DTSET_NGEOHIST, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ird1wf", Py_BuildValue("ii", AB_DTSET_IRD1WF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rf2phon", Py_BuildValue("ii", AB_DTSET_RF2PHON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nelect", Py_BuildValue("ii", AB_DTSET_NELECT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "nshsigx", Py_BuildValue("ii", AB_DTSET_NSHSIGX, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "jpawu", Py_BuildValue("ii", AB_DTSET_JPAWU, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "nqpt", Py_BuildValue("ii", AB_DTSET_NQPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawlmix", Py_BuildValue("ii", AB_DTSET_PAWLMIX, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "optstress", Py_BuildValue("ii", AB_DTSET_OPTSTRESS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "positron", Py_BuildValue("ii", AB_DTSET_POSITRON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "effmass", Py_BuildValue("ii", AB_DTSET_EFFMASS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "smdelta", Py_BuildValue("ii", AB_DTSET_SMDELTA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "bandpp", Py_BuildValue("ii", AB_DTSET_BANDPP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "getwfk", Py_BuildValue("ii", AB_DTSET_GETWFK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "fixmom", Py_BuildValue("ii", AB_DTSET_FIXMOM, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "getwfq", Py_BuildValue("ii", AB_DTSET_GETWFQ, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "fband", Py_BuildValue("ii", AB_DTSET_FBAND, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "nbandkss", Py_BuildValue("ii", AB_DTSET_NBANDKSS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "freqspmax", Py_BuildValue("ii", AB_DTSET_FREQSPMAX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "npack", Py_BuildValue("ii", AB_DTSET_NPACK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "diegap", Py_BuildValue("ii", AB_DTSET_DIEGAP, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ziontypat", Py_BuildValue("ii", AB_DTSET_ZIONTYPAT, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "pawmixdg", Py_BuildValue("ii", AB_DTSET_PAWMIXDG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "strprecon", Py_BuildValue("ii", AB_DTSET_STRPRECON, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "tphysel", Py_BuildValue("ii", AB_DTSET_TPHYSEL, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "istatshft", Py_BuildValue("ii", AB_DTSET_ISTATSHFT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "npweps", Py_BuildValue("ii", AB_DTSET_NPWEPS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rf3dir", Py_BuildValue("ii", AB_DTSET_RF3DIR, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "spnorbscl", Py_BuildValue("ii", AB_DTSET_SPNORBSCL, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "wtk", Py_BuildValue("ii", AB_DTSET_WTK, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "omegasimax", Py_BuildValue("ii", AB_DTSET_OMEGASIMAX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ecutwfn", Py_BuildValue("ii", AB_DTSET_ECUTWFN, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "awtr", Py_BuildValue("ii", AB_DTSET_AWTR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nkptgw", Py_BuildValue("ii", AB_DTSET_NKPTGW, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "npulayit", Py_BuildValue("ii", AB_DTSET_NPULAYIT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "wvl_cpmult", Py_BuildValue("ii", AB_DTSET_WVL_CPMULT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rdmnb", Py_BuildValue("ii", AB_DTSET_RDMNB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rf3phon", Py_BuildValue("ii", AB_DTSET_RF3PHON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nnos", Py_BuildValue("ii", AB_DTSET_NNOS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "dilatmx", Py_BuildValue("ii", AB_DTSET_DILATMX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "dmatpuopt", Py_BuildValue("ii", AB_DTSET_DMATPUOPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawecutdg", Py_BuildValue("ii", AB_DTSET_PAWECUTDG, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rcoord", Py_BuildValue("ii", AB_DTSET_RCOORD, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "natvshift", Py_BuildValue("ii", AB_DTSET_NATVSHIFT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "acell_orig", Py_BuildValue("ii", AB_DTSET_ACELL_ORIG, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "diemac", Py_BuildValue("ii", AB_DTSET_DIEMAC, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "signperm", Py_BuildValue("ii", AB_DTSET_SIGNPERM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rf2dir", Py_BuildValue("ii", AB_DTSET_RF2DIR, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "wvl_fpmult", Py_BuildValue("ii", AB_DTSET_WVL_FPMULT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prtstm", Py_BuildValue("ii", AB_DTSET_PRTSTM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "soenergy", Py_BuildValue("ii", AB_DTSET_SOENERGY, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "berryopt", Py_BuildValue("ii", AB_DTSET_BERRYOPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ixcpositron", Py_BuildValue("ii", AB_DTSET_IXCPOSITRON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "getqps", Py_BuildValue("ii", AB_DTSET_GETQPS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "timopt", Py_BuildValue("ii", AB_DTSET_TIMOPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rfdir", Py_BuildValue("ii", AB_DTSET_RFDIR, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "shiftk", Py_BuildValue("ii", AB_DTSET_SHIFTK, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "kberry", Py_BuildValue("ii", AB_DTSET_KBERRY, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "mgfftdg", Py_BuildValue("ii", AB_DTSET_MGFFTDG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "getocc", Py_BuildValue("ii", AB_DTSET_GETOCC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "eshift", Py_BuildValue("ii", AB_DTSET_ESHIFT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "iboxcut", Py_BuildValue("ii", AB_DTSET_IBOXCUT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawntheta", Py_BuildValue("ii", AB_DTSET_PAWNTHETA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nshiftk", Py_BuildValue("ii", AB_DTSET_NSHIFTK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ngfftdg", Py_BuildValue("ii", AB_DTSET_NGFFTDG, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "natrd", Py_BuildValue("ii", AB_DTSET_NATRD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "noseinert", Py_BuildValue("ii", AB_DTSET_NOSEINERT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "intxc", Py_BuildValue("ii", AB_DTSET_INTXC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "symmorphi", Py_BuildValue("ii", AB_DTSET_SYMMORPHI, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "spgaxor", Py_BuildValue("ii", AB_DTSET_SPGAXOR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "get1den", Py_BuildValue("ii", AB_DTSET_GET1DEN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "freqsusin", Py_BuildValue("ii", AB_DTSET_FREQSUSIN, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "irdqps", Py_BuildValue("ii", AB_DTSET_IRDQPS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "vel_orig", Py_BuildValue("ii", AB_DTSET_VEL_ORIG, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "optnlxccc", Py_BuildValue("ii", AB_DTSET_OPTNLXCCC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "diecut", Py_BuildValue("ii", AB_DTSET_DIECUT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "jellslab", Py_BuildValue("ii", AB_DTSET_JELLSLAB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ppmodel", Py_BuildValue("ii", AB_DTSET_PPMODEL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawoptmix", Py_BuildValue("ii", AB_DTSET_PAWOPTMIX, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "optcell", Py_BuildValue("ii", AB_DTSET_OPTCELL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawprtdos", Py_BuildValue("ii", AB_DTSET_PAWPRTDOS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "tolwfr", Py_BuildValue("ii", AB_DTSET_TOLWFR, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "strtarget", Py_BuildValue("ii", AB_DTSET_STRTARGET, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "kptopt", Py_BuildValue("ii", AB_DTSET_KPTOPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "w90iniprj", Py_BuildValue("ii", AB_DTSET_W90INIPRJ, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nsppol", Py_BuildValue("ii", AB_DTSET_NSPPOL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nfreqre", Py_BuildValue("ii", AB_DTSET_NFREQRE, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "supercell", Py_BuildValue("ii", AB_DTSET_SUPERCELL, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "amu", Py_BuildValue("ii", AB_DTSET_AMU, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "ptgroupma", Py_BuildValue("ii", AB_DTSET_PTGROUPMA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "pawnhatxc", Py_BuildValue("ii", AB_DTSET_PAWNHATXC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "symrel", Py_BuildValue("ii", AB_DTSET_SYMREL, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "pawcpxocc", Py_BuildValue("ii", AB_DTSET_PAWCPXOCC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "optfreqsus", Py_BuildValue("ii", AB_DTSET_OPTFREQSUS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "wvl_frmult", Py_BuildValue("ii", AB_DTSET_WVL_FRMULT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "pawusecp", Py_BuildValue("ii", AB_DTSET_PAWUSECP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nfreqsp", Py_BuildValue("ii", AB_DTSET_NFREQSP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "idyson", Py_BuildValue("ii", AB_DTSET_IDYSON, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "so_psp", Py_BuildValue("ii", AB_DTSET_SO_PSP, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "prtpot", Py_BuildValue("ii", AB_DTSET_PRTPOT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "istwfk", Py_BuildValue("ii", AB_DTSET_ISTWFK, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "optforces", Py_BuildValue("ii", AB_DTSET_OPTFORCES, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "brvltt", Py_BuildValue("ii", AB_DTSET_BRVLTT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "boxcutmin", Py_BuildValue("ii", AB_DTSET_BOXCUTMIN, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ntime", Py_BuildValue("ii", AB_DTSET_NTIME, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtvha", Py_BuildValue("ii", AB_DTSET_PRTVHA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "npsp", Py_BuildValue("ii", AB_DTSET_NPSP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "spbroad", Py_BuildValue("ii", AB_DTSET_SPBROAD, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "symsigma", Py_BuildValue("ii", AB_DTSET_SYMSIGMA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtvol", Py_BuildValue("ii", AB_DTSET_PRTVOL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nqptdm", Py_BuildValue("ii", AB_DTSET_NQPTDM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "iprcch", Py_BuildValue("ii", AB_DTSET_IPRCCH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "angdeg_orig", Py_BuildValue("ii", AB_DTSET_ANGDEG_ORIG, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "rhoqpmix", Py_BuildValue("ii", AB_DTSET_RHOQPMIX, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "natsph", Py_BuildValue("ii", AB_DTSET_NATSPH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "getddk", Py_BuildValue("ii", AB_DTSET_GETDDK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nwfshist", Py_BuildValue("ii", AB_DTSET_NWFSHIST, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nctime", Py_BuildValue("ii", AB_DTSET_NCTIME, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ecut", Py_BuildValue("ii", AB_DTSET_ECUT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "nkpt", Py_BuildValue("ii", AB_DTSET_NKPT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nconeq", Py_BuildValue("ii", AB_DTSET_NCONEQ, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rprim_orig", Py_BuildValue("ii", AB_DTSET_RPRIM_ORIG, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "ieig2rf", Py_BuildValue("ii", AB_DTSET_IEIG2RF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rf2atpol", Py_BuildValue("ii", AB_DTSET_RF2ATPOL, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "getsuscep", Py_BuildValue("ii", AB_DTSET_GETSUSCEP, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "icutcoul", Py_BuildValue("ii", AB_DTSET_ICUTCOUL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtspcur", Py_BuildValue("ii", AB_DTSET_PRTSPCUR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "natom", Py_BuildValue("ii", AB_DTSET_NATOM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ltypeorb", Py_BuildValue("ii", AB_DTSET_LTYPEORB, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "prtdos", Py_BuildValue("ii", AB_DTSET_PRTDOS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "spgorig", Py_BuildValue("ii", AB_DTSET_SPGORIG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "recrcut", Py_BuildValue("ii", AB_DTSET_RECRCUT, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "nspden", Py_BuildValue("ii", AB_DTSET_NSPDEN, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "spinat", Py_BuildValue("ii", AB_DTSET_SPINAT, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "npspalch", Py_BuildValue("ii", AB_DTSET_NPSPALCH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtnabla", Py_BuildValue("ii", AB_DTSET_PRTNABLA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "znucl", Py_BuildValue("ii", AB_DTSET_ZNUCL, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "pawnzlm", Py_BuildValue("ii", AB_DTSET_PAWNZLM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nfreqim", Py_BuildValue("ii", AB_DTSET_NFREQIM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "upawu", Py_BuildValue("ii", AB_DTSET_UPAWU, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "prtwant", Py_BuildValue("ii", AB_DTSET_PRTWANT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mband", Py_BuildValue("ii", AB_DTSET_MBAND, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "getscr", Py_BuildValue("ii", AB_DTSET_GETSCR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "optdriver", Py_BuildValue("ii", AB_DTSET_OPTDRIVER, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtbbb", Py_BuildValue("ii", AB_DTSET_PRTBBB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "lexexch", Py_BuildValue("ii", AB_DTSET_LEXEXCH, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "dtion", Py_BuildValue("ii", AB_DTSET_DTION, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prtacfd", Py_BuildValue("ii", AB_DTSET_PRTACFD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "prtgkk", Py_BuildValue("ii", AB_DTSET_PRTGKK, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "quadmom", Py_BuildValue("ii", AB_DTSET_QUADMOM, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "pawprtvol", Py_BuildValue("ii", AB_DTSET_PAWPRTVOL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "tolvrs", Py_BuildValue("ii", AB_DTSET_TOLVRS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "pawnphi", Py_BuildValue("ii", AB_DTSET_PAWNPHI, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "recnrec", Py_BuildValue("ii", AB_DTSET_RECNREC, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "tsmear", Py_BuildValue("ii", AB_DTSET_TSMEAR, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "tl_radius", Py_BuildValue("ii", AB_DTSET_TL_RADIUS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "accesswff", Py_BuildValue("ii", AB_DTSET_ACCESSWFF, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "kpara", Py_BuildValue("ii", AB_DTSET_KPARA, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "rfthrd", Py_BuildValue("ii", AB_DTSET_RFTHRD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "qptn", Py_BuildValue("ii", AB_DTSET_QPTN, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "recnpath", Py_BuildValue("ii", AB_DTSET_RECNPATH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nomegasrd", Py_BuildValue("ii", AB_DTSET_NOMEGASRD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "istatr", Py_BuildValue("ii", AB_DTSET_ISTATR, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "w90cplot", Py_BuildValue("ii", AB_DTSET_W90CPLOT, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "getkss", Py_BuildValue("ii", AB_DTSET_GETKSS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "nnsclo", Py_BuildValue("ii", AB_DTSET_NNSCLO, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "lpawu", Py_BuildValue("ii", AB_DTSET_LPAWU, _INT_ARRAY));
  PyDict_SetItemString(DictIds, "vmass", Py_BuildValue("ii", AB_DTSET_VMASS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "xclevel", Py_BuildValue("ii", AB_DTSET_XCLEVEL, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ntyppure", Py_BuildValue("ii", AB_DTSET_NTYPPURE, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mqgrid", Py_BuildValue("ii", AB_DTSET_MQGRID, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "irdkss", Py_BuildValue("ii", AB_DTSET_IRDKSS, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "tolrff", Py_BuildValue("ii", AB_DTSET_TOLRFF, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "prtdensph", Py_BuildValue("ii", AB_DTSET_PRTDENSPH, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "slabzend", Py_BuildValue("ii", AB_DTSET_SLABZEND, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "getxcart", Py_BuildValue("ii", AB_DTSET_GETXCART, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ppmfrq", Py_BuildValue("ii", AB_DTSET_PPMFRQ, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "chkexit", Py_BuildValue("ii", AB_DTSET_CHKEXIT, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "vacnum", Py_BuildValue("ii", AB_DTSET_VACNUM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "toldff", Py_BuildValue("ii", AB_DTSET_TOLDFF, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "toldfe", Py_BuildValue("ii", AB_DTSET_TOLDFE, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "ortalg", Py_BuildValue("ii", AB_DTSET_ORTALG, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "vprtrb", Py_BuildValue("ii", AB_DTSET_VPRTRB, _DOUBLE_ARRAY));
  PyDict_SetItemString(DictIds, "fft_opt_lob", Py_BuildValue("ii", AB_DTSET_FFT_OPT_LOB, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "mkqmem", Py_BuildValue("ii", AB_DTSET_MKQMEM, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "stmbias", Py_BuildValue("ii", AB_DTSET_STMBIAS, _DOUBLE_SCALAR));
  PyDict_SetItemString(DictIds, "rf2elfd", Py_BuildValue("ii", AB_DTSET_RF2ELFD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "getacfd", Py_BuildValue("ii", AB_DTSET_GETACFD, _INT_SCALAR));
  PyDict_SetItemString(DictIds, "ngfft", Py_BuildValue("ii", AB_DTSET_NGFFT, _INT_ARRAY));
}
